Scicos data structure

scicos_diagram - Scicos diagram data structure

### Description

Scicos editor uses and modifies the Scicos editor main data structure to keep all information relative to the edited diagram. Scicos compiler uses it as a input.

### DEFINITION

    scs_m=mlist(['diagram','props','objs'],props,objs)

- scs_m: Scilab mlist, Scicos diagram data structure defined by the formal name 'diagram' and containing the following fields:

### FIELDS

- props : Scilab mlist, parameters data structure (See `scicos_params`).
- objs : block or link or deleted object data structure. Deleted object data structure is marked `list('Deleted')`.

### See Also

`scicos_block` `scicos_link`